// Globale Variablen --------------------------
Punkt meinpunkt;
Strich meinstrich;

// setup --------------------------------------
void setup() { 
  size(300, 300);
  
  meinpunkt = new Punkt(100, 100, 1);  
  meinstrich = new Strich(200, 200, 3);
  
  noLoop();
}

// draw ---------------------------------------
void draw() {
  background(100);
  
  meinpunkt.draw();     

  meinstrich.draw();
  meinstrich.printIndex();  
  meinstrich.superPrintIndex();
}

// Klasse vererben --------------------------------------------------------------------
class Strich extends Punkt{
  int col;      // Farbe kommt neu hinzu

  // Konstruktor --------------------------
  Strich(float xpos, float ypos, int in){
  
  super(xpos, ypos, in);    // Ruf den Konstruktor der Mutterklasse auf mit 'super'
  col = 255;                 // Wertuebergabe einer neu hinzugekommenen Variablen
  }

  // Methoden -----------------------------
  // draw Methode der Mutterklasse wird überschrieben
  void draw(){
    stroke(col);
    line(0,0, xpos, ypos);
  }
  
  // printIndex Methode -------------------
  void printIndex(){
    println("printIndex Strich Klasse "+index);
  }
    
  // aufruf der printIndex Methode aus der Punkt Klasse (Mutterklasse)
  void superPrintIndex(){
    super.printIndex();
  }

 
}
